Bug 495279 - Review Request: perl-Devel-NYTProf - Powerful feature-rich perl source code profiler
Review Request: perl-Devel-NYTProf - Powerful feature-rich perl source code p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 01:34 EDT by Iain Arnell
Modified: 2009-04-24 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.09-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 01:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-11 01:34:08 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-NYTProf.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-NYTProf-2.09-1.fc11.src.rpm
Description: Devel::NYTProf is a powerful feature-rich perl source code profiler.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1290539
Comment 1 Chris Weyl 2009-04-11 02:51:34 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1290539

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
687d1ef048412a69c1a278a0774798cddd1419b7 Devel-NYTProf-2.09.tar.gz
687d1ef048412a69c1a278a0774798cddd1419b7 Devel-NYTProf-2.09.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Devel-NYTProf-2.09-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Devel-NYTProf-2.09-1.fc10.src.rpm
====> requires for perl-Devel-NYTProf-2.09-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Devel-NYTProf-2.09-1.fc10.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Devel-NYTProf-2.09-1.fc10.x86_64.rpm
perl(Devel::NYTProf) = 2.09
perl(Devel::NYTProf::Apache) = 0.02
perl(Devel::NYTProf::Constants)  
perl(Devel::NYTProf::Core) = 2.09
perl(Devel::NYTProf::Data) = 2.09
perl(Devel::NYTProf::FileInfo)  
perl(Devel::NYTProf::Reader) = 2.09
perl(Devel::NYTProf::ReadStream) = 2.09
perl(Devel::NYTProf::SubInfo)  
perl(Devel::NYTProf::Util) = 2.09
perl-Devel-NYTProf = 2.09-1.fc10
perl-Devel-NYTProf(x86-64) = 2.09-1.fc10
====> requires for perl-Devel-NYTProf-2.09-1.fc10.x86_64.rpm
perl(:MODULE_COMPAT_5.10.0)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
librt.so.1()(64bit)  
librt.so.1(GLIBC_2.2.5)(64bit)  
libz.so.1()(64bit)  
perl(base)  
perl(Carp)  
perl(Config)  
perl(constant)  
perl(Cwd)  
perl(Data::Dumper)  
perl(Devel::NYTProf::Constants)  
perl(Devel::NYTProf::Core)  
perl(Devel::NYTProf::Data)  
perl(Devel::NYTProf::FileInfo)  
perl(Devel::NYTProf::Reader)  
perl(Devel::NYTProf::SubInfo)  
perl(Devel::NYTProf::Util)  
perl(Exporter)  
perl(File::Copy)  
perl(Getopt::Long)  
perl(List::Util)  
perl(Scalar::Util)  
perl(strict)  
perl(UNIVERSAL)  
perl(warnings)  
perl(XSLoader)  
rtld(GNU_HASH)  
/usr/bin/perl  

=====> perl-Devel-NYTProf-debuginfo-2.09-1.fc10.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Devel-NYTProf-debuginfo-2.09-1.fc10.x86_64.rpm
perl-Devel-NYTProf-debuginfo = 2.09-1.fc10
perl-Devel-NYTProf-debuginfo(x86-64) = 2.09-1.fc10
====> requires for perl-Devel-NYTProf-debuginfo-2.09-1.fc10.x86_64.rpm

APPROVED
Comment 2 Iain Arnell 2009-04-11 02:58:58 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-NYTProf
Short Description: Powerful feature-rich perl source code profiler
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-12 14:31:36 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-13 01:49:56 EDT
perl-Devel-NYTProf-2.09-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Devel-NYTProf-2.09-1.fc10
Comment 5 Fedora Update System 2009-04-13 01:50:01 EDT
perl-Devel-NYTProf-2.09-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Devel-NYTProf-2.09-1.fc9
Comment 6 Fedora Update System 2009-04-24 15:52:42 EDT
perl-Devel-NYTProf-2.09-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-24 15:54:32 EDT
perl-Devel-NYTProf-2.09-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.